@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/* todo corpo */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Poppins, 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

body {
  min-height: 100vh;
  background-color: #ffffff;
}

/* Portfólio Detalhes */
.portfolio_details {
  margin-top: 50px;
}

.portfolio_details img {
  width: 100%;
}

.portfolio_details span {
  font-size: .9em;
}

.portfolio_details p {
  font-size: 1em;
  font-weight: 600;
  text-transform: uppercase;
}

.portfolio_details p a {
  text-transform: none;
  color: #000;
}

.portfolio_details p a:hover {
  text-transform: none;
  color: #f38425;
}

.portfolio_texts {
  margin-left: 30px;
}

.portfolio_texts .palavras {
  text-transform:none;
  font-weight: normal;
  text-align: justify;
}





.image-gallery-container .images {
  max-width: 800px;
  display: grid;
  margin: 0 auto;
  grid-template-columns: repeat(auto-fill, minmax(240px, 1fr));
  gap: 8px;
}

.image-gallery-container .images .image {
  cursor: pointer;
}

.image-gallery-container .images img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.image-gallery-container .images .title {
  display: none;
}

.image-gallery-container .lightbox {
  position: fixed;
  top: -100%;
  left: 0;
  height: 100vh;
  width: 100%;
  background: rgba(0, 0, 0, 0.8);
  display: flex;
  align-items: center;
  justify-content: center;

  transition: all 400ms;
}

.image-gallery-container .lightbox.active {
  top: 0;
}

.image-gallery-container .lightbox img {
  height: 80vh;
  border-radius: 10px;
  border: 10px solid white;
}

.image-gallery-container .lightbox .image {
  position: relative;
}

.image-gallery-container .lightbox .title {
  position: absolute;
  background: white;
  padding: 24px 32px;
  left: 32px;
  right: 32px;
  bottom: -6px;
  font-size: 16px;
  font-weight: bold;
  border-radius: 8px;
}

.image-gallery-container .lightbox .next-btn,
.image-gallery-container .lightbox .previous-btn {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  font-size: 24px;
  padding: 8px 16px;
  background: white;
  border-radius: 8px;
  box-shadow: 0 4px 16px -4px rgba(0, 0, 0, 0.4);
  cursor: pointer;
}

.image-gallery-container .lightbox .next-btn {
  right: -20px;
}

.image-gallery-container .lightbox .previous-btn {
  left: -20px;
}

.image-gallery-container .lightbox .options {
  position: fixed;
  top: 32px;
  right: 32px;
  background: white;
  display: none;
  align-items: center;
  font-size: 28px;
  padding: 6px 24px;
  border-radius: 20px;
  box-shadow: 0 4px 16px -4px rgba(0, 0, 0, 0.4);
}

.image-gallery-container .lightbox.active .options {
  display: flex;
}

.image-gallery-container .lightbox .close-btn {
  margin-left: 20px;
  cursor: pointer;
}

.image-gallery-container .lightbox .download-btn {
  color: black;
  font-size: 24px;
}

/* Para Telemóvel e Tablet */
@media(max-width: 768px) {

  /* Portfólio Detalhes */
  .portfolio_details {
    margin-top: 50px;
  }

  .portfolio_details img {
    width: 100%;
  }

  .portfolio_details span {
    font-size: .9em;
  }

  .portfolio_details p {
    font-size: 1em;
    font-weight: 600;
    text-transform: uppercase;
  }

  .portfolio_details p a {
    text-transform: none;
    color: #000;
  }

  .portfolio_details p a:hover {
    text-transform: none;
    color: #f38425;
  }

  .portfolio_texts {
    margin-top: 30px;
    margin-left: 0px;
  }

}